=== debian/changelog ===
rock-master-19.06-ruby-orogen (1.1-1~jessie) UNRELEASED; urgency=medium

  * Initial release (Closes: #nnnn~jessie)

 -- MAINTAINER <rock-user@rock.dfki.uni-bremen.de>  Mon, 27 Jan 2020 00:00:01 +0100
