=== debian/control ===
Source: rock-master-19.06-ruby-orogen
Section: FIXME
Priority: optional
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Uploaders:
Build-Depends: debhelper, gem2deb, rake, rake (>= 0.8), , rock-master-19.06-ruby-utilrb, rubygems-integration, rock-master-19.06-rtt, rock-master-19.06-typelib, rock-master-19.06-rtt-typelib, rock-master-19.06-ruby-tools-metaruby, rock-master-19.06-ruby-hoe-yard, ruby-kramdown, rock-master-19.06-ruby-yard, dh-autoreconf
Standards-Version: 4.1.3
Vcs-Git:
Vcs-Browser:
Homepage: https://www.rock-robotics.org/documentation/orogen
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: rock-master-19.06-ruby-orogen
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: rake, rubygems-integration, rock-master-19.06-rtt, rock-master-19.06-typelib, rock-master-19.06-rtt-typelib, rock-master-19.06-ruby-utilrb, rock-master-19.06-ruby-tools-metaruby, rock-master-19.06-ruby-hoe-yard, ruby-kramdown, rock-master-19.06-ruby-yard
Description: Component generation for Orocos::RTT
 oroGen is a specification language and code generator for the Orocos Realtime
 Toolkit (RTT). The Orocos/Real Time Toolkit is a C++ library allowing to build
 component-based systems (http://www.orocos.org/rtt). The orogen tool allows to
 create new components easily.
 .
 In oroGen, one write a specification that describes the components you want to
 develop. Then, orogen generates the corresponding C++ code and CMake build
 system so that you -- the component developer -- has only to care about
 implementing the actual functionality.
 .
 The remaining of this readme is about oroGen installation. See the user's guide
 for more in-depth usage information:
 .
 * [oroGen documentation](https://www.rock-robotics.org/documentation/orogen)
